* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/clipper2/
@ 2024-11-16 21:39 Sam James
0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2024-11-16 21:39 UTC (permalink / raw
To: gentoo-commits
commit: 825db0d7f986a69ad55fd3cc26876c17aef1d583
Author: Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Sat Nov 16 02:07:24 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 16 21:39:07 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=825db0d7
sci-mathematics/clipper2: update ebuild, add tests
Drop RESTRICT=mirror.
Enable tests.
Add metadata.xml.
Add myself as maintainer.
Adjust ebuild style to fit the rest my ebuilds.
Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-mathematics/clipper2/clipper2-1.4.0.ebuild | 17 ++++++++++++-----
sci-mathematics/clipper2/metadata.xml | 15 +++++++++++++++
2 files changed, 27 insertions(+), 5 deletions(-)
diff --git a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
index 530396047bdf..ab2d3bf1ad9c 100644
--- a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
+++ b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
@@ -17,14 +17,21 @@ LICENSE="Boost-1.0"
SLOT="0"
KEYWORDS="~amd64"
-RESTRICT="mirror"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ test? ( dev-cpp/gtest )
+"
src_configure() {
local mycmakeargs=(
- -DCLIPPER2_UTILS=OFF
- -DCLIPPER2_EXAMPLES=OFF
- -DCLIPPER2_TESTS=OFF
- -DCLIPPER2_USINGZ=OFF # manifold src/third_party/CMakeLists.txt
+ -DCLIPPER2_UTILS="no"
+ -DCLIPPER2_EXAMPLES="no"
+ -DCLIPPER2_TESTS="$(usex test)"
+ -DCLIPPER2_USINGZ="no" # manifold src/third_party/CMakeLists.txt
+
+ -DUSE_EXTERNAL_GTEST="yes"
)
cmake_src_configure
}
diff --git a/sci-mathematics/clipper2/metadata.xml b/sci-mathematics/clipper2/metadata.xml
new file mode 100644
index 000000000000..fda0c60d4c9e
--- /dev/null
+++ b/sci-mathematics/clipper2/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>negril.nx+gentoo@gmail.com</email>
+ <name>Paul Zander</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">AngusJohnson/Clipper2</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/clipper2/
@ 2024-11-16 21:39 Sam James
0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2024-11-16 21:39 UTC (permalink / raw
To: gentoo-commits
commit: a67b483e5caee3d56205b59a0a87b4ff1a09b481
Author: Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Thu Sep 26 18:21:26 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 16 21:39:04 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a67b483e
sci-mathematics/clipper2: new package, add 1.4.0
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-mathematics/clipper2/Manifest | 1 +
sci-mathematics/clipper2/clipper2-1.4.0.ebuild | 30 ++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/sci-mathematics/clipper2/Manifest b/sci-mathematics/clipper2/Manifest
new file mode 100644
index 000000000000..025aefaf6771
--- /dev/null
+++ b/sci-mathematics/clipper2/Manifest
@@ -0,0 +1 @@
+DIST Clipper2_1.4.0.tar.gz 600352 BLAKE2B 0ba268ba691fde4aef456d8f6ef1810a8c13b77c5bb932296b11b5f0d96dfe70f2d617d7ba013f85817dbc01a800d0ab1fba566e4ab56efde6541c00f3d7f359 SHA512 91036e81244f3615095d7cd8522f9c4a32ea66f802e3d190393eb8939e1a706b69c69c3a5b7c6522235c075dd6ecd45f21bffb47448ba72191ddcf05e9e93128
diff --git a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
new file mode 100644
index 000000000000..530396047bdf
--- /dev/null
+++ b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="Clipper2"
+MY_P=${MY_PN}_${PV}
+
+inherit cmake
+
+DESCRIPTION="Polygon Clipping and Offsetting"
+HOMEPAGE="https://www.angusj.com/clipper2/Docs/Overview.htm"
+SRC_URI="https://github.com/AngusJohnson/Clipper2/archive/refs/tags/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${MY_P}/CPP"
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="mirror"
+
+src_configure() {
+ local mycmakeargs=(
+ -DCLIPPER2_UTILS=OFF
+ -DCLIPPER2_EXAMPLES=OFF
+ -DCLIPPER2_TESTS=OFF
+ -DCLIPPER2_USINGZ=OFF # manifold src/third_party/CMakeLists.txt
+ )
+ cmake_src_configure
+}
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/clipper2/
@ 2025-01-03 22:26 Sam James
0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2025-01-03 22:26 UTC (permalink / raw
To: gentoo-commits
commit: 8c9dc2beffe168b9b1a5a19a3c674695fad80c8d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 3 22:26:00 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 3 22:26:00 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c9dc2be
sci-mathematics/clipper2: Stabilize 1.4.0 amd64, #946112
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-mathematics/clipper2/clipper2-1.4.0.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
index ab2d3bf1ad9c..fa2cc2612361 100644
--- a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
+++ b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -15,7 +15,7 @@ S="${WORKDIR}/${MY_PN}-${MY_P}/CPP"
LICENSE="Boost-1.0"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
IUSE="test"
RESTRICT="!test? ( test )"
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/clipper2/
@ 2025-05-07 19:12 Arthur Zamarin
0 siblings, 0 replies; 6+ messages in thread
From: Arthur Zamarin @ 2025-05-07 19:12 UTC (permalink / raw
To: gentoo-commits
commit: f511ec7a6f2cb27324488951e021c3de96ae78e2
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed May 7 19:11:59 2025 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed May 7 19:11:59 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f511ec7a
sci-mathematics/clipper2: Keyword 1.4.0 arm64, #955276
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
sci-mathematics/clipper2/clipper2-1.4.0.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
index fa2cc2612361..743bd5735597 100644
--- a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
+++ b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
@@ -15,7 +15,7 @@ S="${WORKDIR}/${MY_PN}-${MY_P}/CPP"
LICENSE="Boost-1.0"
SLOT="0"
-KEYWORDS="amd64"
+KEYWORDS="amd64 ~arm64"
IUSE="test"
RESTRICT="!test? ( test )"
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/clipper2/
@ 2025-05-08 6:29 Sam James
0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2025-05-08 6:29 UTC (permalink / raw
To: gentoo-commits
commit: be103db0fc2ac62ad8fce17d63e9101fe58dc62e
Author: Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Fri May 2 02:00:30 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 8 06:26:45 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be103db0
sci-mathematics/clipper2: add 1.5.2
Closes: https://bugs.gentoo.org/943720
Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/41967
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-mathematics/clipper2/Manifest | 1 +
sci-mathematics/clipper2/clipper2-1.4.0.ebuild | 12 +++++++++++-
.../{clipper2-1.4.0.ebuild => clipper2-1.5.2.ebuild} | 14 ++++++++++++--
3 files changed, 24 insertions(+), 3 deletions(-)
diff --git a/sci-mathematics/clipper2/Manifest b/sci-mathematics/clipper2/Manifest
index 025aefaf6771..38f91558c64e 100644
--- a/sci-mathematics/clipper2/Manifest
+++ b/sci-mathematics/clipper2/Manifest
@@ -1 +1,2 @@
DIST Clipper2_1.4.0.tar.gz 600352 BLAKE2B 0ba268ba691fde4aef456d8f6ef1810a8c13b77c5bb932296b11b5f0d96dfe70f2d617d7ba013f85817dbc01a800d0ab1fba566e4ab56efde6541c00f3d7f359 SHA512 91036e81244f3615095d7cd8522f9c4a32ea66f802e3d190393eb8939e1a706b69c69c3a5b7c6522235c075dd6ecd45f21bffb47448ba72191ddcf05e9e93128
+DIST Clipper2_1.5.2.tar.gz 620852 BLAKE2B 639943509f3e1b27c7e26e7ca2a6b14afd32654d7d43900e2f5eb6db83c2c48af17c14aa35a99a6dc679d5015f5378d56bc600ff3a9250dcf1d690d11789f751 SHA512 0d885c5e38906fdc64c915a1cabbd37dc3d752d8c8988100f5f9af79234c3634254c0f61e931cc8bb0cec1f3404aba63be61e6cfcb00b177a3d75c415680fbd2
diff --git a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
index 743bd5735597..574245fd9d8e 100644
--- a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
+++ b/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
@@ -6,7 +6,7 @@ EAPI=8
MY_PN="Clipper2"
MY_P=${MY_PN}_${PV}
-inherit cmake
+inherit cmake flag-o-matic
DESCRIPTION="Polygon Clipping and Offsetting"
HOMEPAGE="https://www.angusj.com/clipper2/Docs/Overview.htm"
@@ -24,7 +24,17 @@ DEPEND="
test? ( dev-cpp/gtest )
"
+src_prepare() {
+ cmake_src_prepare
+
+ #943720
+ sed -e 's/ -Werror//g' -i CMakeLists.txt || die
+}
+
src_configure() {
+ append-flags -fno-strict-aliasing
+ filter-lto
+
local mycmakeargs=(
-DCLIPPER2_UTILS="no"
-DCLIPPER2_EXAMPLES="no"
diff --git a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild b/sci-mathematics/clipper2/clipper2-1.5.2.ebuild
similarity index 79%
copy from sci-mathematics/clipper2/clipper2-1.4.0.ebuild
copy to sci-mathematics/clipper2/clipper2-1.5.2.ebuild
index 743bd5735597..b12c5dc8bda3 100644
--- a/sci-mathematics/clipper2/clipper2-1.4.0.ebuild
+++ b/sci-mathematics/clipper2/clipper2-1.5.2.ebuild
@@ -6,7 +6,7 @@ EAPI=8
MY_PN="Clipper2"
MY_P=${MY_PN}_${PV}
-inherit cmake
+inherit cmake flag-o-matic
DESCRIPTION="Polygon Clipping and Offsetting"
HOMEPAGE="https://www.angusj.com/clipper2/Docs/Overview.htm"
@@ -15,7 +15,7 @@ S="${WORKDIR}/${MY_PN}-${MY_P}/CPP"
LICENSE="Boost-1.0"
SLOT="0"
-KEYWORDS="amd64 ~arm64"
+KEYWORDS="~amd64"
IUSE="test"
RESTRICT="!test? ( test )"
@@ -24,7 +24,17 @@ DEPEND="
test? ( dev-cpp/gtest )
"
+src_prepare() {
+ cmake_src_prepare
+
+ #943720
+ sed -e 's/ -Werror//g' -i CMakeLists.txt || die
+}
+
src_configure() {
+ append-flags -fno-strict-aliasing
+ filter-lto
+
local mycmakeargs=(
-DCLIPPER2_UTILS="no"
-DCLIPPER2_EXAMPLES="no"
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/clipper2/
@ 2025-05-10 5:48 Joonas Niilola
0 siblings, 0 replies; 6+ messages in thread
From: Joonas Niilola @ 2025-05-10 5:48 UTC (permalink / raw
To: gentoo-commits
commit: 4dbabf104d2595ec5753b21e5b546edab748bdab
Author: Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat May 10 05:45:48 2025 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat May 10 05:45:48 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4dbabf10
sci-mathematics/clipper2: Keyword 1.5.2 x86, #955276
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
sci-mathematics/clipper2/clipper2-1.5.2.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/sci-mathematics/clipper2/clipper2-1.5.2.ebuild b/sci-mathematics/clipper2/clipper2-1.5.2.ebuild
index b12c5dc8bda3..07fc6fa6d906 100644
--- a/sci-mathematics/clipper2/clipper2-1.5.2.ebuild
+++ b/sci-mathematics/clipper2/clipper2-1.5.2.ebuild
@@ -15,7 +15,7 @@ S="${WORKDIR}/${MY_PN}-${MY_P}/CPP"
LICENSE="Boost-1.0"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
^ permalink raw reply related [flat|nested] 6+ messages in thread
end of thread, other threads:[~2025-05-10 5:49 UTC | newest]
Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-11-16 21:39 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/clipper2/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2024-11-16 21:39 Sam James
2025-01-03 22:26 Sam James
2025-05-07 19:12 Arthur Zamarin
2025-05-08 6:29 Sam James
2025-05-10 5:48 Joonas Niilola
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox